Bug 65501 - RFE: Two mouses configuration problem
RFE: Two mouses configuration problem
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-25 21:21 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-26 13:08:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-25 21:21:23 EDT
Description of Problem: 
I have this IR keyboard with a PS/2 mouse, and a Logitech First/Pilot wheel 
Mouse attached to an USB plug. 
 
During the 7.3 configuration Redhat detects one or the other but then the 
Xserver just works with one of them. 
 
After searching a lot I discovered that Xconfigurator is creating an 
XF86Config file, instead of an XF86Config-4 one. I think the XF86Config file 
only was created the very first time I installed Redhat 7.3, when I happened 
to have an unique mouse. But the hardware detector kept changing this file 
when I put the other mouse, instead of creating the -4 file that would accept 
both of them. 
 
I've got to format few times and reinstall the system (now with both of the 
mouses attached from the begining, and the installation puts the USB mouse to 
work and ignores the other. 
 
 
 
Version-Release number of selected component (if applicable): 
 
RedHat 7.3 personal (the one that is on your ftp in iso cd images). 
 
How Reproducible: 
 
Try to install it. 
 
Steps to Reproduce: 
1.  
2.  
3.  
 
Actual Results: 
 
 
Expected Results: 
 
The installation should incorporate an enter for any mouse it can find in the 
XF86config-4 file and then choose one of them as CorePointer and the other as 
SendCorePointer. 
 
 
 
Additional Information: 
I think it is quite important, as Laptop users always want two pointers, and 
at the same time there is everytime more people that have IR keyboards to 
remotely control the system on their living room or so.
Comment 1 Mike A. Harris 2002-07-26 13:08:04 EDT
Reassigned to new X config tool.
Comment 2 Alexander Larsson 2002-08-07 05:44:10 EDT
redhat-config-xfree86 should do this.

Note You need to log in before you can comment on or make changes to this bug.